import { CompletionItem, TextDocument, Position, CompletionList } from 'vscode-languageserver-types';
import * as cssSchema from './css-schema';
declare type CSSSchema = typeof cssSchema;
export declare function isClassOrId(currentWord: string): boolean;
export declare function isAtRule(currentWord: string): boolean;
export declare function isValue(cssSchema: CSSSchema, currentWord: string): boolean;
export declare function getPropertyName(currentWord: string): string;
export declare function findPropertySchema(cssSchema: CSSSchema, property: string): cssSchema.CSSRecord | undefined;
export declare function getAllSymbols(text: string, currentWord: string, position: Position): CompletionItem[];
export declare function getAtRules(cssSchema: CSSSchema, currentWord: string): CompletionItem[];
export declare function getProperties(cssSchema: CSSSchema, currentWord: string, useSeparator: boolean): CompletionItem[];
export declare function getValues(cssSchema: CSSSchema, currentWord: string): CompletionItem[];
export declare function provideCompletionItems(document: TextDocument, position: Position): CompletionList;
export {};
