import { Position } from 'vscode-languageserver-types';
declare type NodeName = 'Ident' | 'Selector' | 'Call' | 'Function' | 'Media' | 'Keyframes' | 'Atrule' | 'Import' | 'Require' | 'Supports' | 'Literal' | 'Group' | 'Root' | 'Block' | 'Expression' | 'Rgba' | 'Property' | 'Object';
export interface StylusNode {
    __type: NodeName;
    name: NodeName;
    lineno: number;
    column: number;
    segments: StylusNode[];
    expr?: StylusNode;
    val?: StylusNode;
    nodes?: StylusNode[];
    vals?: StylusNode[];
    block?: StylusNode;
    __scope?: number[];
    string?: string;
}
export declare function isVariableNode(node: StylusNode): boolean;
export declare function isFunctionNode(node: StylusNode): boolean;
export declare function isSelectorNode(node: StylusNode): boolean;
export declare function isSelectorCallNode(node: StylusNode): boolean;
export declare function isAtRuleNode(node: StylusNode): boolean;
export declare function isColor(node: StylusNode): boolean;
export declare function buildAst(text: string): StylusNode | null;
export declare function flattenAndFilterAst(node: StylusNode, scope?: number[]): StylusNode[];
export declare function findNodeAtPosition(root: StylusNode, pos: Position, needBlock?: boolean): StylusNode | null;
export {};
