"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_types_1 = require("vscode-languageserver-types");
const parser_1 = require("./parser");
const cssSchema = __importStar(require("./css-schema"));
const find_1 = __importDefault(require("lodash/find"));
function stylusHover(document, position) {
    const ast = parser_1.buildAst(document.getText());
    if (!ast) {
        return {
            contents: ''
        };
    }
    const node = parser_1.findNodeAtPosition(ast, position);
    if (!node) {
        return {
            contents: 'no node found!'
        };
    }
    if (node.__type === 'Property') {
        const property = node.segments[0].name;
        const properties = cssSchema.data.css.properties;
        const item = find_1.default(properties, item => item.name === property);
        const lineno = node.lineno - 1;
        const column = node.column;
        return {
            contents: (item && item.desc) || 'unknown property',
            range: vscode_languageserver_types_1.Range.create(lineno, column, lineno, column + properties.length)
        };
    }
    return {
        contents: []
    };
}
exports.stylusHover = stylusHover;
//# sourceMappingURL=stylus-hover.js.map