"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const resolve = __importStar(require("resolve"));
const readPkgUp = __importStar(require("read-pkg-up"));
function findPkg(fspath, pkgName) {
    const { pkg, path: pkgPath } = readPkgUp.sync({ cwd: fspath, normalize: false });
    const { root } = path.parse(fspath);
    if (pkg &&
        ((pkg.dependencies && pkg.dependencies[pkgName]) || (pkg.devDependencies && pkg.devDependencies[pkgName]))) {
        return resolve.sync(pkgName, { basedir: pkgPath });
    }
    else if (pkgPath) {
        const parent = path.resolve(path.dirname(pkgPath), '..');
        if (parent !== root) {
            return findPkg(parent, pkgName);
        }
    }
    return;
}
function requireLocalPkg(fspath, pkgName) {
    const modulePath = findPkg(fspath, pkgName);
    if (modulePath !== void 0) {
        try {
            return require(modulePath);
        }
        catch (e) {
            console.log(`Failed to load ${pkgName} from ${modulePath}. Using bundled version.`);
        }
    }
    return require(pkgName);
}
exports.requireLocalPkg = requireLocalPkg;
//# sourceMappingURL=requirePkg.js.map